# $Revision: 1.138 $, $Date: 2012/02/27 10:29:43 $

# disable rpm generated debug package, we handle it differently here
%define		_enable_debug_packages	0

# avoid rpm 4.4.9 adding rm -rf buildroot
%define		__spec_clean_body	%{nil}
Summary:	Common directories
Summary(pl.UTF-8):	Wspólne katalogi
Name:		filesystem
Version:	4.0
Release:	6
License:	GPL
Group:		Base
BuildRequires:	automake
BuildRequires:	mktemp
BuildRequires:	rpm >= 4.4.9-56
Requires:	FHS >= 2.3-15
Provides:	browser-plugins(%{_target_base_arch})
%ifarch %{x8664}
Provides:	browser-plugins(i386)
%endif
%ifarch ppc64
Provides:	browser-plugins(ppc)
%endif
%ifarch s390x
Provides:	browser-plugins(s390)
%endif
%ifarch sparc64
Provides:	browser-plugins(sparc)
%endif
Provides:	filesystem-debuginfo = %{version}-%{release}
Obsoletes:	filesystem-debuginfo < 3.0-36
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# Adapter: This file does not like to be adapterized!

# directory for "privilege separation" chroot
%define		_privsepdir	/usr/share/empty
# directory for *.idl files (for CORBA implementations)
%define		_idldir		/usr/share/idl

%description
This package contains common directories for packages that extend some
programs functionality, but don't require them themselves.

%description -l pl.UTF-8
Ten pakiet zawiera wspólne katalogi dla pakietów rozszerzających
funkcjonalność programów, ale nie wymagających ich.

%prep
%setup -qcT

%install
rm -rf $RPM_BUILD_ROOT

install -d \
	$RPM_BUILD_ROOT/{initrd,selinux,run,sys} \
	$RPM_BUILD_ROOT/etc/{NetworkManager/dispatcher.d,X11/xinit/xinitrc.d,certs,default,init,logrotate.d,pki/CA,security,sysconfig,tmpwatch,xdg/autostart} \
	$RPM_BUILD_ROOT/home/{users,services} \
	$RPM_BUILD_ROOT/lib/{firmware,security,udev/rules.d,systemd/system} \
	$RPM_BUILD_ROOT/usr/include/{security,X11} \
	$RPM_BUILD_ROOT/usr/lib/{ConsoleKit/run-session.d,browser-plugins,cgi-bin,cmake,mozilla/extensions,pkgconfig,initrd,tmpfiles.d} \
	$RPM_BUILD_ROOT/usr/share/{augeas/lenses/tests,backgrounds,cmake/Modules,color/icc,gnome/help,man/man{n,l},man/pl/mann,pkgconfig,soundfonts,sounds,themes/Default,vala/vapi,wallpapers,xsessions} \
	$RPM_BUILD_ROOT/usr/src/examples \
	$RPM_BUILD_ROOT/var/lib/color/icc \
	$RPM_BUILD_ROOT/var/lock/subsys \
	$RPM_BUILD_ROOT/var/log/archive \
	$RPM_BUILD_ROOT{%{_aclocaldir},%{_desktopdir}/docklets,%{_iconsdir},%{_pixmapsdir}} \
	$RPM_BUILD_ROOT%{_fontsdir}/{{100,75}dpi,OTF,Speedo,Type1/{afm,pfm},TTF,cyrillic,local,misc} \
	$RPM_BUILD_ROOT{%{_idldir},%{_privsepdir}}

> %{name}.lang
install -d $RPM_BUILD_ROOT/usr/share/help/C

for lang in ar ca cs da de el en_GB es eu fi fr gl he hi hr hu id it ja lt nb nl oc pl ps pt_BR ru sl sr sr@latin sv th tr vi zh_CN zh_TW; do
	install -d $RPM_BUILD_ROOT/usr/share/help/${lang}
	echo "%%lang($lang) %dir /usr/share/help/${lang}" >> %{name}.lang
done

%if "%{_lib}" == "lib64"
install -d \
	$RPM_BUILD_ROOT/lib64/security \
	$RPM_BUILD_ROOT/usr/lib64/{browser-plugins,cmake,initrd,mozilla/extensions,pkgconfig}
%endif

%if "%{pld_release}" == "ac"
rmdir $RPM_BUILD_ROOT/usr/include/X11
# X11
install -d $RPM_BUILD_ROOT/usr/X11R6/share
for manp in man{1,2,3,4,5,6,7,8} ; do
	install -d $RPM_BUILD_ROOT/usr/X11R6/man/$manp
	for mloc in it ko pl; do
		install -d $RPM_BUILD_ROOT/usr/X11R6/man/$mloc/$manp
	done
done
install -d $RPM_BUILD_ROOT/usr/share/wm-properties
%endif

install -d \
	$RPM_BUILD_ROOT/usr/lib/debug/%{_lib} \
	$RPM_BUILD_ROOT/usr/lib/debug%{_libdir} \
	$RPM_BUILD_ROOT/usr/lib/debug/{bin,sbin} \
	$RPM_BUILD_ROOT/usr/lib/debug/usr/{bin,sbin} \
	$RPM_BUILD_ROOT/usr/lib/debug/lib/security \
	$RPM_BUILD_ROOT/usr/src/debug

%if "%{_lib}" == "lib64"
install -d \
	$RPM_BUILD_ROOT/usr/lib/debug/lib64/security
%endif

# create this for %clean
tar -cf checkfiles.tar -C $RPM_BUILD_ROOT .

%clean
mkdir -p $RPM_BUILD_ROOT
tar -xf checkfiles.tar -C $RPM_BUILD_ROOT
cd $RPM_BUILD_ROOT

check_filesystem_dirs() {
	RPMFILE=%{_rpmdir}/%{name}-%{version}-%{release}.%{_target_cpu}.rpm
	RPMFILE2=%{?with_debuginfo:%{_rpmdir}/%{name}-debuginfo-%{version}-%{release}.%{_target_cpu}.rpm}
	TMPFILE=$(mktemp)
	# note: we must exclude from check all existing dirs belonging to FHS
	find | sed -e 's|^\.||g' -e 's|^$||g' | LC_ALL=C sort | grep -v $TMPFILE | grep -E -v '^/(etc|etc/X11|home|lib|lib64|usr|usr/include|usr/lib|usr/lib64|usr/share|usr/share/man|usr/share/man/pl|usr/src|var|var/lib|var/lock|var/log)$' > $TMPFILE

	# find finds also '.', so use option -B for diff
	rpm -qpl $RPMFILE $RPMFILE2 | grep -v '^/$' | LC_ALL=C sort | diff -uB - $TMPFILE || :

	rm -f $TMPFILE
}

check_filesystem_dirs

%if "%{pld_release}" != "ac"
%pretrans -p <lua>
-- this needs to be a dir
if posix.stat("/usr/include/X11", "type") == "link" then
	-- feel free to write in pure lua, but success on first install is not important.
	os.execute("umask 022; mv -f /usr/include/X11{,.rpmsave}; mkdir -m755 -p /usr/include/X11 && mv -f /usr/include/X11.rpmsave/* /usr/include/X11")
end
%endif

%files -f %{name}.lang
%defattr(644,root,root,755)
%dir /etc/X11/xinit
%dir /etc/X11/xinit/xinitrc.d
%attr(751,root,root) %dir /etc/certs
%dir /etc/default
%dir /etc/init
%dir /etc/logrotate.d
%dir /etc/pki
%dir /etc/pki/CA
%attr(751,root,root) %dir /etc/security
%dir /etc/sysconfig
%dir /etc/tmpwatch
%dir /etc/xdg
%dir /etc/xdg/autostart
%dir /etc/NetworkManager
%dir /etc/NetworkManager/dispatcher.d
%dir /home/users
%dir /home/services
%dir /initrd
%dir /lib/firmware
%dir /lib/security
%dir /lib/systemd
%dir /lib/systemd/system
%dir /lib/udev
%dir /lib/udev/rules.d
%dir %attr(1777,root,root) /run
%dir /selinux
%dir /sys
%if "%{pld_release}" != "ac"
%dir /usr/include/X11
%endif
%dir /usr/include/security
%dir /usr/lib/ConsoleKit
%dir /usr/lib/ConsoleKit/run-session.d
%dir /usr/lib/browser-plugins
%dir /usr/lib/cgi-bin
%dir /usr/lib/cmake
%dir /usr/lib/initrd
%dir /usr/lib/mozilla
%dir /usr/lib/mozilla/extensions
%dir /usr/lib/pkgconfig
%dir /usr/lib/tmpfiles.d
%dir /usr/share/augeas
%dir /usr/share/augeas/lenses
%dir /usr/share/augeas/lenses/tests
%dir /usr/share/backgrounds
%dir /usr/share/cmake
%dir /usr/share/cmake/Modules
%dir /usr/share/color
%dir /usr/share/color/icc
%dir /usr/share/gnome
%dir /usr/share/gnome/help
%dir /usr/share/help
%dir /usr/share/help/C
%dir /usr/share/man/man[nl]
%lang(pl) %dir /usr/share/man/pl/mann
%dir /usr/share/pkgconfig
%dir /usr/share/soundfonts
%dir /usr/share/sounds
%dir /usr/share/themes
%dir /usr/share/themes/Default
%dir /usr/share/vala
%dir /usr/share/vala/vapi
%dir /usr/share/wallpapers
%dir /usr/share/xsessions
%dir /usr/src/examples
%dir /var/lib/color
%dir /var/lib/color/icc
%attr(700,root,root) %dir /var/lock/subsys
%attr(751,root,logs) %dir /var/log/archive
%dir %{_aclocaldir}
%dir %{_desktopdir}
%dir %{_desktopdir}/docklets
%dir %{_iconsdir}
%dir %{_pixmapsdir}
%{_fontsdir}
%dir %{_idldir}
%dir %{_privsepdir}
%if "%{_lib}" == "lib64"
%dir /lib64/security
%dir /usr/lib64/browser-plugins
%dir /usr/lib64/cmake
%dir /usr/lib64/initrd
%dir /usr/lib64/mozilla
%dir /usr/lib64/mozilla/extensions
%dir /usr/lib64/pkgconfig
%endif

%if "%{pld_release}" == "ac"
%dir /usr/X11R6
%dir /usr/X11R6/man
/usr/X11R6/man/man*
%lang(it) /usr/X11R6/man/it
%lang(ko) /usr/X11R6/man/ko
%lang(pl) /usr/X11R6/man/pl
%dir /usr/X11R6/share

%dir /usr/share/wm-properties
%endif

# debuginfo
%dir /usr/lib/debug
/usr/lib/debug/*

%dir /usr/src/debug

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: filesystem.spec,v $
Revision 1.138  2012/02/27 10:29:43  glen
- /tmp like perm in /run (set by udev likely)

Revision 1.137  2012/02/19 23:02:17  baggins
- rel 5
- add /etc/pki/CA

Revision 1.136  2012/02/05 09:51:46  baggins
- rel 4
- logrotate does su to non-root and must be able to enter /var/log/archive

Revision 1.135  2012/01/30 10:26:45  baggins
- rel 3
- /etc/tmpfiles.d back in systemd

Revision 1.134  2012/01/29 23:30:05  baggins
- rel 2
- added /etc/tmpfiles.d

Revision 1.133  2011/11/29 17:06:56  arekm
- ver 4.0; add /lib/systemd/system and /usr/lib/tmpfiles.d

Revision 1.132  2011/10/21 16:41:56  qboosh
- added ABI-specific cmake dir (/usr/{lib,lib64}/cmake)
- sorted some lists
- release 52

Revision 1.131  2011/10/03 20:57:29  megabajt
- added /usr/share/help and its subdirs
- release 51

Revision 1.130  2011/07/28 00:00:12  baggins
- rel 50
- typo

Revision 1.129  2011/07/27 23:56:31  baggins
- rel 49
- drop wmstyle dir, it never should be here in the first place

Revision 1.128  2011/07/27 20:37:23  baggins
- rel 48
- don't package gnome2-specific wm-properties dir (it belongs to
  either control-center or gnome-session from GNOME 2)

Revision 1.127  2011/07/26 18:59:36  arekm
- release 47

Revision 1.126  2011/06/10 13:00:50  qboosh
- added /usr/share/cmake/Modules path
- release 46

Revision 1.125  2011/04/28 09:54:26  baggins
- rel 45
- added /usr/share/augeas/lenses/tests

Revision 1.124  2011/04/07 10:31:04  megabajt
- added /var/lib/color/icc
- release 44

Revision 1.123  2011/04/03 12:10:23  arekm
- rel 43; add /run

Revision 1.122  2011/03/31 18:31:05  arekm
- rel 42; add /usr/share/augeas/lenses

Revision 1.121  2011/03/28 13:38:36  arekm
- rel 41; avoid dragging in udev for no reason

Revision 1.120  2011/02/24 09:58:26  glen
- avoid self-obsoletion

Revision 1.119  2011/02/20 12:55:25  glen
- package /usr/share/color/icc

Revision 1.118  2011/01/04 16:35:01  glen
- add /usr/lib{,64}/mozilla/extensions; rel 38

Revision 1.117  2010/12/20 08:23:32  glen
- add /etc/NetworkManager/dispatcher.d

Revision 1.116  2010/11/11 16:55:46  glen
- ac fix

Revision 1.115  2010/09/06 11:49:39  jajcus
- /usr/share/vala/vapi directory added (vala package provides only the
  versioned one and packeges providing vapi files do not always require Vala)
- Release: 36

Revision 1.114  2010/05/10 08:38:00  jajcus
- /etc/init added, so upstart job descriptions won't automatically pull upstart
- Release: 35

Revision 1.113  2010/05/08 09:29:20  qboosh
- /var/log is in FHS
- dropped _xmandir macro - this directory won't change anymore

Revision 1.112  2010/04/20 13:46:12  glen
- if we want logrotate optional then /var/log/archive should be placed here or packages like mysql pull logrotate anyway
- rel 34

Revision 1.111  2010/02/22 19:52:16  glen
- do X11 dir stat in lua

Revision 1.110  2010/02/22 19:41:58  glen
- do not convert symlink on ac

Revision 1.109  2010/02/22 19:40:29  glen
- discard /usr/include/X11 symlink

Revision 1.108  2010/02/19 16:49:43  glen
- blocking readdir on /home/services breaks apps (readlink -m fails) and gives no real value); rel 33

Revision 1.107  2010/01/27 13:27:33  glen
- add /usr/include/X11 so xorg-data-xbitmaps/xorg-proto-xproto-devel don't have to

Revision 1.106  2009/12/28 11:19:32  glen
- revert

Revision 1.105  2009/12/28 10:42:21  glen
- add /usr/share/mibs; rel 31

Revision 1.104  2009/11/30 11:55:07  glen
- drop debuginfo.files, unused idea; rel 30

Revision 1.103  2009/11/30 11:53:13  glen
- ac compat restored

Revision 1.102  2009/11/26 16:55:07  jajcus
- /usr/share/soundfonts added
- Release: 29

Revision 1.101  2009/09/26 22:04:01  patrys
- add /usr/share/backgrounds

Revision 1.100  2009/08/28 22:41:00  arekm
- rel 27; P: filesystem-debuginfo

Revision 1.99  2009/08/27 12:44:58  arekm
- rel 26; merge debuginfo subpkg back

Revision 1.98  2009/06/28 22:46:09  patrys
- add missing dir creation
- rel 25

Revision 1.97  2009/06/28 21:53:54  patrys
- add ConsoleKit session dir

Revision 1.96  2009/04/03 09:27:12  gotar
- same EVR of filesystem is NOT really required, nothing specific since beginning

Revision 1.95  2009/03/22 17:51:00  baggins
- rel 23
- added /usr/lib{,64}/initrd dir for programs for initrd

Revision 1.94  2009/03/19 15:22:58  glen
- /etc/logrotate.d moved to filesystem; rel 22

Revision 1.93  2008/12/11 19:25:33  gotar
- moved /etc/tmpwatch from tmpwatch.spec to filesystem.spec; do not install
  tmpwatch package (if working by default) via directory deps from other packages

Revision 1.92  2008/09/18 15:37:41  patrys
- move wm-properties to the right place
- rel 20

Revision 1.91  2008-05-28 02:48:57  glen
- nvm for th

Revision 1.90  2008-05-28 02:47:38  glen
- release 2

Revision 1.89  2008-05-14 10:18:25  baggins
- rel 19
- added /etc/default

Revision 1.88  2008-03-25 09:59:02  glen
- add /etc/pki
- always build -debuginfo subpkg
- rel 18

Revision 1.87  2008-02-20 18:07:41  glen
- revert ghost /initrd on HEAD too; rel 17

Revision 1.86  2008-02-09 10:33:27  glen
- %{_rpmfilename} consist of tags, not macros, it will never work

Revision 1.85  2008-02-08 21:20:22  glen
- BR: mktemp

Revision 1.84  2008-01-31 17:11:18  glen
- add /usr/{bin,sbin}, /{bin,sbin} to debuginfo
- rel 16

Revision 1.83  2008-01-31 16:58:36  glen
- add helper file for filesystem-debuginfo packaged dirs

Revision 1.82  2008-01-31 16:44:16  glen
- backup install root for %clean
- allow _enable_debug_packages 0 to disable debug package

Revision 1.81  2008-01-31 14:58:16  glen
- add debuginfo bcond

Revision 1.80  2008-01-27 13:33:20  glen
- add /usr/lib/debug/%{_libdir} to package; rel 15

Revision 1.79  2007-02-12 22:09:09  glen
- tabs in preamble

Revision 1.78  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.77  2007/02/10 18:12:51  radek
- release 14: %ghost for /initrd (think: upgrade...)

Revision 1.76  2006/12/26 20:17:04  qboosh
- support 32-bit browsers on archs with lib64

Revision 1.75  2006/12/23 11:13:14  glen
- typo

Revision 1.74  2006/12/23 02:41:50  glen
- add P: browser-plugins(%{_target_base_arch})

Revision 1.73  2006/12/23 02:15:55  glen
- add browser-plugins dirs; rel 13

Revision 1.72  2006/10/28 14:33:36  pluto
- release 12.

Revision 1.71  2006/10/28 09:27:19  qboosh
- typo

Revision 1.70  2006/10/27 18:15:27  qboosh
- moved here all dirs not covered by FHS 2.3 (from FHS.spec)
- fixed check in clean section
- release 11

Revision 1.69  2006/09/15 07:28:43  jajcus
- BR: automake (%{_aclocaldir} macro)

Revision 1.68  2006/09/01 21:40:13  grzegol
- added /etc/xdg/autostart directory; rel. 10

Revision 1.67  2006/08/23 19:08:40  havner
- /etc/sysconfig/wmstyle really added now

Revision 1.66  2006/08/23 18:43:52  havner
- /etc/sysconfig/wmstyle and /usr/share/xsessions only moved to
  filesystem.spec as it already contains xinitrc related dirs
- rel up

Revision 1.65  2006/08/23 10:07:16  havner
- desktopdir/docklets

Revision 1.64  2006/08/20 18:40:18  freetz
- install dirs / sorting

Revision 1.63  2006/08/20 18:35:33  freetz
- rel.6

Revision 1.62  2006/08/19 19:05:46  freetz
- added gnome directories, shared between gnome and non-gnome apps
  (like gtk-doc)

Revision 1.61  2006/07/12 20:33:05  freetz
- systemwide shared /etc/X11/xinit/xinitrc.d added, rel.5

Revision 1.60  2006/07/01 11:12:29  qboosh
- pl for -debuginfo

Revision 1.59  2006/06/30 22:12:01  pluto
- debuginfo subpackage added, release 4.1.

Revision 1.58  2006/06/28 05:08:31  freetz
- removed bogus debug dirs, rel.4

Revision 1.57  2006/06/27 17:51:37  freetz
- rel.3

Revision 1.56  2006/06/27 17:51:16  freetz
- rpm debug dirs

Revision 1.55  2006/05/26 10:30:04  arekm
- rel 2

Revision 1.54  2006/05/25 18:40:02  qboosh
- added pkgconfig and aclocal

Revision 1.53  2006/05/25 15:26:57  wolf
- removed url

Revision 1.52  2006/05/25 15:25:08  wolf
- filesystem with common directories
